Name:           perl-DBIx-Class-Schema-Loader
Version:        0.04005
Release:        2%{?dist}
Summary:        Dynamic definition of a DBIx::Class::Schema
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-Class-Schema-Loader/
Source0:        http://www.cpan.org/modules/by-module/DBIx/DBIx-Class-Schema-Loader-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(Digest::MD5) >= 2.36
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util) 
BuildRequires: perl(Test::More) 
BuildRequires: perl(Text::Balanced) 

# cpan
BuildRequires:  perl(Carp::Clan) 
BuildRequires:  perl(Class::Accessor::Fast)       >= 0.30
BuildRequires:  perl(Class::C3)                   >= 0.18
BuildRequires:  perl(Class::Data::Accessor)       >= 0.03
BuildRequires:  perl(Class::Inspector) 
BuildRequires:  perl(Data::Dump)                  >= 1.06
BuildRequires:  perl(DBD::SQLite)                 >= 1.12
BuildRequires:  perl(DBI)                         >= 1.56
BuildRequires:  perl(DBIx::Class)                 >= 0.07006
BuildRequires:  perl(Lingua::EN::Inflect::Number) >= 1.1
BuildRequires:  perl(UNIVERSAL::require)          >= 0.11
# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# not automatically picked up
Requires:       perl(Class::Accessor::Fast) >= 0.30
Requires:       perl(Class::Data::Accessor) >= 0.03

%description
DBIx::Class::Schema::Loader automates the definition of a
DBIx::Class::Schema by scanning database table definitions 
and setting up the columns, primary keys, and relationships.

%prep
%setup -q -n DBIx-Class-Schema-Loader-%{version}

# make sure doc/tests don't generate provides
# note we first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_provides %{_builddir}/DBIx-Class-Schema-Loader-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_requires %{_builddir}/DBIx-Class-Schema-Loader-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
echo n | %{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/ 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04005-2
- bump

* Mon Jun 02 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04005-1
- update to 0.4005
- filter _docdir requires/provides

* Mon Mar 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04004-1
- brush-up for review submission

* Wed Oct 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.04003-1
- Specfile autogenerated by cpanspec 1.71.
